Description

I'm aware this was covered in http:/bugs.quassel.info/view.php?id=113 and labeled wontfix.

What is the sense in taking a command that is firmly entrenched in nearly every, if not every, other IRC client released in the past
fifteen years and replacing it with something that is actually destructive (clears the existing topic) if the user is not aware of this
particular client's quirk regarding this command? Having /topic display the existing topic is, and has been, expected behaviour for
quite a long time.

History

#1 - 08/17/2008 04:04 AM - webarnes

This is annoying. I've been using IRC for ten years and old habits are ingrained. Displaying the topic has always been the expected behaviour of
'/topic'.

Would you change the behaviour of /part? Maybe make it disconnect you from the server? Probably not.

#2 - 08/17/2008 06:28 PM - Daisuke_ldo
Additionally, http://www.irchelp.org/irchelp/rfc/chapterd.html#c4_2_4 states that:

The TOPIC message is used to change <b>or view</b> the topic of a channel. The topic for channel <channel> is returned if there is no <topic>
given. If the <topic> parameter is present, the topic for that channel will be changed, if the channel modes permit this action.

/topic alone changes the channel topic to a blank string (While not explicitly covered in the RFC, this does go against long-established behaviour)
/topic <channel> changes the topic to the channel name (against the RFC)
/topic <channel> <topic> changes the topic to the channel name followed by the topic (again, against the RFC)

#3 - 08/18/2008 12:15 AM - EgS

Um first of all: if there already is a bug covering this topic, then please stick to that one. This makes things less confusing for users searching the
existing bugs. Yes, there is actually a way to reopen bugs.

second: webarnes, thanks for that very helpful comment...
third: rfc is about IRC as a protocol. there are many commands in quassel that are not a 1 to 1 mapping of raw IRC and believe me, you don't want
that to be changed. Or would you want "/kick user you don't belong here" to try to kick the user "you" from channel "user" with the reason "don't

belong here"? | guess not...

forth: | acknowledge that the default behaviour is not what old IRC die-hards might expect from an IRC client.

#4 - 11/15/2008 09:55 PM - Sputnick

Since several users have complained about clearing the topic accidentally, and param-less /topic indeed displays the topic in most clients (and never
clears it), | have changed the behavior.
